:JTExportSp
   set CurActionTitle=JTExport[Sp]
   rem Printausgabe
   Call Echo  "%CurActionTitle% start"
   call :JTgenSetEnviron
   set toRunInfo_DPNE=%temp%\_Job_%CurActionTitle%_log.txt

   rem - ugtopv.exe .. toRun for TC NX zusammenstellen
   set tessConfig_DPNE=%CurCmdRoot_DP%\%tess_file%

   set toRun="%UGII_BASE_DIR%\PVTRANS\ugtopv.exe" -pim=yes -u=%TceUser% -p=%TceUserPassword%
   set JobParameter="%ExportListNXMasterSP_DPNE%"
   set JobParameter=%JobParameter% -noupdate
   set JobParameter=%JobParameter% -config="%tessConfig_DPNE%"
   set JobParameter=%JobParameter% -save_outside_iman -force_output_dir="%JTFile_LP%"
   rem set JobParameter=%JobParameter% -honour_structure
   set JobParameter=%JobParameter% -single_part
   rem set JobParameter=%JobParameter% -generate_assy_jt
   rem set JobParameter=%JobParameter% -generate_bookmark=%JTFile_LP%\__AssemblyBookMark.bkm
   rem set JobParameter=%JobParameter% -nopopulate

   rem command vollständig zusammensetzen
   set toRun=%toRun% %JobParameter%

   echo %toRun%>>%toRunInfo_DPNE%
   rem for /d %%i in (%toRun%) do Echo ToRun: %%i

   rem -- start JT GEN --
   %toRun%

   rem Liste der Exportierten Daten mitschreiben
   Dir /N /O:n "%JTFile_LP%\*.jt">>"%toRunInfo_DPNE%" 2>nul

   rem Exportierete JT Dateien in die Zielverzeichnisse uebertragen hier werden auch die Ergebnisse erstellt
   rem #toDo: 05.09.2013 ersetzen durch JobManagerCmdTools.exe
   FOR /F "tokens=1,2,3,4 delims=;" %%i in (%ExportControlListNXMasterSp_DPNE%) do call :JTExportRun_MovePartToArchiv "%%i" "%%j" "%%k" "%%l" "SP"

   rem Printausgabe
   Call Echo  "%CurActionTitle% end"
 goto :eof


:JTExportAP
   set CurActionTitle=JTExport[AP]
   rem Printausgabe
   Call Echo  "%CurActionTitle% start"
   call :JTgenSetEnviron
   type "%ExportListNXMasterAP_DPNE%"

   set toRunInfo_DPNE=%temp%\_Job_%CurActionTitle%_log.txt
   rem die Assembly Einzeln erstellen lassen da -honour_structure nur geht wenn der CLIName übergeben wird!
   FOR /F %%i in (%ExportListNXMasterAP_DPNE%) do call :JTExportAPRun "%%i"

   rem Liste der Exportierten Daten mitschreiben
   Dir /N /O:n "%JTFile_LP%\*.jt">>"%toRunInfo_DPNE%"

   rem Exportierete JT Dateien in die Zielverzeichnisse uebertragen hier werden auch die Ergebnisse erstellt
   FOR /F "tokens=1,2,3,4 delims=;" %%i in (%ExportControlListNXMasterAp_DPNE%) do call :JTExportRun_MovePartToArchiv "%%i" "%%j" "%%k" "%%l" "AP"

   rem Printausgabe
   Call Echo  "%CurActionTitle% end"
 goto :eof

rem ---------------------------------------------------------------------------------
:JTExportAPRun
  setlocal
    set CliName=%1
    rem - ugtopv.exe .. toRun for TC NX zusammenstellen
    set tessConfig_DPNE=%CurCmdRoot_DP%\%tess_file%

    set toRun="%UGII_BASE_DIR%\PVTRANS\ugtopv.exe" -pim=yes -u=%TceUser% -p=%TceUserPassword%

    set JobParameter=%CliName%
    set JobParameter=%JobParameter% -noupdate
    set JobParameter=%JobParameter% -config="%tessConfig_DPNE%"
    set JobParameter=%JobParameter% -save_outside_iman -force_output_dir="%JTFile_LP%"
    set JobParameter=%JobParameter% -honour_structure

    rem command vollständig zusammensetzen
    set toRun=%toRun% %JobParameter%

    echo %toRun%>>%toRunInfo_DPNE%
    rem for /d %%i in (%toRun%) do Echo ToRun: %%i
    rem -- start JT GEN --
    %toRun%
  endlocal
 goto :eof
